<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($id_grupos=='-'): 
    $var = '1'; 
else: 
    $var = "nom_empresa like '%$id_grupos%'"; 
endif;

if($estado_empresa=='-'): 
    $var2 = ''; 
else: 
    $var2 = 'and activo='.$estado_empresa; 
endif;

$nro=1;
$nro_grupos=1;

//Identifico el grupo
$sqlGrupo = "SELECT nom_empresa, idemp, estado_empresa FROM empresa WHERE $var ";
$conGrupo = $bdSMS->consulta($sqlGrupo);
while($resGrupo = $bdSMS->fetch_assoc($conGrupo)):
    $nom_empresa = utf8_encode($resGrupo['nom_empresa']);
    $idemp = $resGrupo['idemp'];
    $estado_master = $resGrupo['estado_master'];
    $estado_empre = $resGrupo['estado_empre'];

    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cliente WHERE id_fk_em=$idemp $var2";
    $conCTA = $bdSMS->consulta($sqlCTA);
    while($resCTA = $bdSMS->fetch_assoc($conCTA)):
        
        $indicador=1;

        $idcliente=$resCTA['idcliente'];
        $id_fk_em=$resCTA['id_fk_em'];
        $empresa=utf8_encode($resCTA['empresa']);
        $login=utf8_encode($resCTA['login']);
        $disponibles=$resCTA['disponibles'];
        $plan=$resCTA['plan'];

        $sqlPlan = "SELECT idPlan, nomPlan FROM planes WHERE idPlan=$plan ORDER BY nomPlan";
        $conPlan = $bdSMS->consulta($sqlPlan);
        $resPlan = $bdSMS->fetch_array($conPlan);
        $nombre_plan = $resPlan['nomPlan']; 

        $gratis=$resCTA['gratis'];
        $activo=$resCTA['activo'];
        $pass_visible=$resCTA['pass_visible'];
        $fechaClienteIni=$resCTA['fechaClienteIni'];
        $fechaClienteFin=$resCTA['fechaClienteFin'];
        
        $array_cliente_sms[]=array('nro'=>$nro++, 'idcliente'=>$idcliente, 'empresa'=>$empresa, 'login'=>$login, 'disponibles'=>$disponibles, 'plan'=>$plan, 'nombre_plan'=>$nombre_plan, 'gratis'=>$gratis, 'activo'=>$activo, 'pass_visible'=>$pass_visible, 'id_fk_em'=>$id_fk_em, 'fechaClienteIni'=>$fechaClienteIni, 'fechaClienteFin'=>$fechaClienteFin);

    endwhile;

    if($indicador == 1):

        $array_grupos[]=array('nro'=>$nro_grupos++, 'idemp'=>$idemp, 'nom_empresa'=>$nom_empresa, 'estado_empresa'=>$estado_empresa, 'idemp'=>$idemp);
        $indicador=0;
        
    endif;

endwhile;

/*
echo "array_cta: ";
echo('<pre>');
var_dump($array_cliente_sms);
echo('</pre>');

echo "array_grupos: ";
echo('<pre>');
var_dump($array_grupos);
echo('</pre>');*/

$enlace='out_listado_grupos2.php';

//Vista de la relación de datos
require("sms_listado_grupos_vista.php");



?>